Subject: Re: [2.6.15] running tcpdump on 3c905b causes freeze (reproducable)

From: Folkert van Heusden <[email-masked]>
Date: Sun, 26 Feb 2006 15:03:57 +0100

> > >  > > > > > Have you tried enabling the NMI watchdog?  Enable CONFIG_X86_LOCAL_APIC and
> > >  > > > > > boot with `nmi_watchdog=1' on the command line, make sure that the NMI line
> > >  > > > > > of /proc/interrupts is incrementing.
> > >  > > > > I'll give it a try. I've added it to the append-line in the lilo config.
> > >  > > > > Am now compiling the kernel.
> > >  > > > No change. Well, that is: the last message on the console now is
> > >  > > > "setting eth1 to promiscues mode".
> > >  > > Did you confirm that the NMI counters in /proc/interrupts are incrementing?
> > >  > Yes:
> > >  > root@muur:/home/folkert# for i in `seq 1 5` ; do cat /proc/interrupts  | grep NMI ; sleep 1 ; done
> > >  > NMI:    6949080    6949067
> ...
> > >  > NMI:    6949488    6949475
> > > 
> > >  Is there anything else I can try?
> > argh.   I haven't forgotten.  Hopefully after -rc1 I'll have more time...
> Sorry :-)
> > Your report didn't mention whether that card work OK under earlier 2.6
> > kernels.  If it does, a bit of bisection searching would really help.
> 2.6.15   crash
> 2.6.14.4 crash
> 2.6.14   crash
> 2.6.12.6 crash "NMI watchdog detected LOCKUP"
> 2.6.6    crash "NMI watchdog detected LOCKUP on CPU1 eip c02500aa, registers:"
> 2.6.1    would not boot

It is definately a 3com 3c905b problem: I swapped that card yesterday
with an adapter from a different brand (gigabit one) and now I can
tcpdump without any lockups.

Folkert van Heusden

-- 
iPod winnen? --> http://keetweej.vanheusden.com/redir.php?id=62
--------------------------------------------------------------------
Phone: +31-6-41278122, PGP-key: 1F28D8AE, www.vanheusden.com